# picc Drivers

Drivers supply data to streams under `app.picc.<domain>.dev.*`

- Lights
- Sensors

## Light

`app.picc.<domain>.dev.lights.light_<id>`

### Attributes

- **is_on**
  - `boolean`
  - Whether light is shining or not (Note: This is distinct from the power status of the controller.)
- **brightness**
  - `float: [0, 1]`
  - Brightness according to device's definition 0 being dimmest, 1 being brightest.
- power
  - `float: [0, inf)`, optional
  - Power usage in watts.
- temperature
  - `int: [0, inf)`, optional
  - Color temperature in kelvin.
- color
  - `[float: [0, 1], float: [0, 1], float[0, 1]]`, optional
  - List of RGB color values in device's own color space.
- battery
  - `float: [0, 1]`, optional
  - Battery status 0 being empty battery and 1 being full, as defined by the device.

### Methods

- *TODO*

## Sensor

`app.picc.<domain>.dev.sensors.sensor_<id>`

### Attributes

- temperature
  - `float: [−273.15, inf)`, optional
  - Temperature measurement in Celsius.
- humidity
  - `float: [0, 1]`, optional
  - Humidity percentage measurement
- pressure
  - `float: [0, inf)`, optional
- wind
  - `[float: [0, 360), float: [0, inf)]`, optional
  - Wind measurement with direction in degrees and speed in km/h.
- precipitation
- battery
  - `float: [0, 1]`, optional
  - Battery status 0 being empty battery and 1 being full, as defined by the device.
- **is_valid**
  - `boolean`
  - Whether the current value is valid.

### Methods

- *TODO*