# Entity

`https://picc.app/schemata/v0.1-dev/entity`

An entity in picc. 

It must have an `id` as an internal identifier and a human-readable `name`.


## Type - `object`

---

#### **description** - `string` 

Human-readable description of the entity for UI display purposes.


| Constraint | |
|-|-|
| `maxLength` | 1000 |

---

#### **id** - `string` - *required*

Identifier that is unique within a server. 

It consists of a string of numbers, upper and/or lower case letters, and special cheracters `-` and `_`.


| Constraint | |
|-|-|
| `minLength` | 1 |
| `maxLength` | 50 |
| `pattern` | `^[0-9a-zA-Z-_]+$` |

---

#### **name** - `string` - *required*

Human-readable name of the entity for UI display purposes.


| Constraint | |
|-|-|
| `minLength` | 1 |
| `maxLength` | 100 |


