# Relationship

`https://picc.app/schemata/v0.1-dev/relationship`

Describes a relationship between two entities.

## Type - `object`

---

#### **arg** - `any` 

Additional arguments. Can be any JSON type.


---

#### **description** - `string` 

Human-readable description of the entity for UI display purposes.


| Constraint | |
|-|-|
| `maxLength` | 1000 |

---

#### **entities** - `array` 

Entities invloved in the relationship.

**Elements:**

| Constraint | |
|-|-|
| `minLength` | 1 |
| `maxLength` | 50 |
| `pattern` | `^[0-9a-zA-Z-_]+$` |


---

#### **id** - `string` - *required*

Identifier that is unique within a server. 

It consists of a string of numbers, upper and/or lower case letters, and special cheracters `-` and `_`.


| Constraint | |
|-|-|
| `minLength` | 1 |
| `maxLength` | 50 |
| `pattern` | `^[0-9a-zA-Z-_]+$` |

---

#### **module** - `string` 

Module name of the relationship.

| Constraint | |
|-|-|

---

#### **name** - `string` - *required*

Human-readable name of the entity for UI display purposes.


| Constraint | |
|-|-|
| `minLength` | 1 |
| `maxLength` | 100 |


