# Room

`https://picc.app/schemata/v0.1-dev/room`

A room


## Type - `object`

---

#### **description** - `string` 

Human-readable description of the entity for UI display purposes.


| Constraint | |
|-|-|
| `maxLength` | 1000 |

---

#### **id** - `string` - *required*

Identifier that is unique within a server. 

It consists of a string of numbers, upper and/or lower case letters, and special cheracters `-` and `_`.


| Constraint | |
|-|-|
| `minLength` | 1 |
| `maxLength` | 50 |
| `pattern` | `^[0-9a-zA-Z-_]+$` |

---

#### **name** - `string` - *required*

Human-readable name of the entity for UI display purposes.


| Constraint | |
|-|-|
| `minLength` | 1 |
| `maxLength` | 100 |

---

#### **relationships** - `array` 

Relationships that bind other entities to this room.

**Elements:**


`ref`

See https://picc.app/schemata/v0.1-dev/relationship

*or*


`string`

| Constraint | |
|-|-|
| `minLength` | 1 |
| `maxLength` | 50 |
| `pattern` | `^[0-9a-zA-Z-_]+$` |



