local types = import "types.libsonnet";

{
  '$id': 'https://picc.app/schemata/v0.1-dev/entity',
  '$schema': 'http://json-schema.org/draft-07/schema',
  title: 'Entity',
  description: |||
    An entity in picc. 

    It must have an `id` as an internal identifier and a human-readable `name`.
  |||,
  type: 'object',
  properties: {
    id: types.id,
    name: {
      type: 'string',
      description: |||
        Human-readable name of the entity for UI display purposes.
      |||,
      minLength: 1,
      maxLength: 100,
    },
    description: {
      type: 'string',
      description: |||
        Human-readable description of the entity for UI display purposes.
      |||,
      maxLength: 1000,
    },
  },
  required: [
    'id',
    'name',
  ],
}
