{
  id: {
    description: |||
      Identifier that is unique within a server. 

      It consists of a string of numbers, upper and/or lower case letters, and special cheracter `-`.
    |||,
    type: 'string',
    minLength: 1,
    maxLength: 50,
    pattern: '^[0-9a-zA-Z-]+$',
  },

  location: {
    description: |||
      Coordinates of a specific location in the WGS 84 datum.
    |||,
    type: 'object',
    properties: {
      latitude: {
        type: 'number',
        description: "Latitude",
        minimum: -90,
        maximum: 90,
      },
      longitude: {
        type: 'number',
        description: "Longitude",
        minimum: -180,
        maximum: 180,
      },
      altitude: {
        description: "Altitude",
        type: 'number',
      },
    },
    required: ["latitude", "longitude", "altitude"]
  },
}
