local entity = import 'entity.libsonnet';

entity
{
  '$id': 'https://picc.app/schemata/v0.1-dev/controller',
  title: 'Controller',
  description: 'Describes a relationship between two entities.',

  properties+: {
    module: {
      type: 'string',
      description: 'Module name of the controller.',
    },
    arg: {
      description: 'Additional arguments. Can be any JSON type.',
    },
    entities: {
      type: 'array',
      description: 'Entities this controller controls.',
      items:
        $.properties.id,
    },
    measures: {
      type: 'array',
      description: 'List of variables this controller measures.',
      items: 'string',
      minItems: 1,
      uniqueItems: true,
    },
    controls: {
      type: 'array',
      description: 'List of variables this controller controls.',
      items: 'string',
      minItems: 1,
      uniqueItems: true,
    }
  },
  required+: [
    'module',
    'entities',
  ],
}
