local entity = import 'entity.libsonnet';

entity
{
  '$id': 'https://picc.app/schemata/v0.1-dev/variables/real',
  title: 'Real',
  description: 'Real-valued variable.',

  properties+: {
    moreThan: {
        type: 'number',
        description: 'Open lower bound on value of variable.',
    },
    moreThanEq : {
        type: 'number',
        description: 'Closed lower bound on value of variable.',
    },
    lessThan: {
        type: 'number',
        description: 'Open upper bound on value of variable.',
    },
    lessThanEq: {
        type: 'number',
        description: 'Closed lower bound on the value of variable.',
    },
    distribution: {
        type: 'string',
        description: 'Assumed distribution of variable.',
        enum: ['normal', 'uniform', 'exponential', 'gamma'],
    },
  },
  required+: [
  ],
}
